/*******************************************************************************
 *  Copyright 2018 Centre for Development of Advanced Computing(C-DAC), Pune
 *  
 * Licensed under the Apache License, Version 2.0 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *  
 *   http://www.apache.org/licenses/LICENSE-2.0
 *  
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS,
 * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 * See the License for the specific language governing permissions and
 * limitations under the License.
 *******************************************************************************/

package cdac.medinfo.sdk.dcm30_04.templates.enums.cv;

/**
 * This enum represents Code Value for Specimen Embedding Media
 */
public enum EnumCV_SpecimenEmbeddingMedia {

	//Specimen Embedding Media - CID 8115
	PARAFFIN_WAX_F_616D8("F-616D8"),
	TISSUE_FREEZING_MEDIUM_F_62232("F-62232"),
	PLASTIC_C_2A000("C-2A000"),
	AGAR_C_84085("C-84085"),
	EPOXY_RESIN_C_2A400("C-2A400"),
	ACRYLIC_RESIN_C_100EA("C-100EA");

	private String value;

	EnumCV_SpecimenEmbeddingMedia(String strvalue)
	{
		this.value = strvalue;
	}

	/**
	 * This function returns the String value of this enum.
	 * @return - returns string value of Code Value.
	 */
	public String getValue()
	{
		return value;
	}

}
